New Invoice
curl --request POST \
--url https://app.usequeue.com/api/v1/projects/{project_id}/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoice_items": [
{
"token": "b4bf704d-ef6e-4c40-856b-d5ace731698bxx",
"amount": 100,
"interval": null,
"quantity": 1,
"frequency": null,
"description": "Item 1"
},
{
"token": "f9fef62c-0fe9-4117-a96a-96502f71c4f1xx",
"amount": 200,
"interval": "month",
"quantity": 1,
"frequency": null,
"description": "Item 2"
}
]
}
'import requests
url = "https://app.usequeue.com/api/v1/projects/{project_id}/invoices"
payload = { "invoice_items": [
{
"token": "b4bf704d-ef6e-4c40-856b-d5ace731698bxx",
"amount": 100,
"interval": None,
"quantity": 1,
"frequency": None,
"description": "Item 1"
},
{
"token": "f9fef62c-0fe9-4117-a96a-96502f71c4f1xx",
"amount": 200,
"interval": "month",
"quantity": 1,
"frequency": None,
"description": "Item 2"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoice_items: [
{
token: 'b4bf704d-ef6e-4c40-856b-d5ace731698bxx',
amount: 100,
interval: null,
quantity: 1,
frequency: null,
description: 'Item 1'
},
{
token: 'f9fef62c-0fe9-4117-a96a-96502f71c4f1xx',
amount: 200,
interval: 'month',
quantity: 1,
frequency: null,
description: 'Item 2'
}
]
})
};
fetch('https://app.usequeue.com/api/v1/projects/{project_id}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"invoice": {
"id": "abc123",
"name": "Invoice May 2025",
"amount": 1500,
"bill_to": "masud@yopmail.com",
"bill_from": "admin@queue.com",
"address": "123 fake st. blvd",
"tax": 7.5,
"payment_terms": "Net 30",
"due": "2025-08-15",
"issued": "2025-07-25",
"payment_method": "wire",
"invoice_number": "INV-1234",
"credit_type": "none",
"recurring_invoice_items": [
{}
],
"invoice_items": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"username": "Masud",
"email": "masud@yopmail.com"
}
}
}Invoices
Create Invoice
POST
/
projects
/
{project_id}
/
invoices
New Invoice
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Body
application/json
The body is of type object.
⌘I

